Bug 139995 - ATI IXP doesnt work, codec acquire timeout errors
ATI IXP doesnt work, codec acquire timeout errors
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
3
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-11-19 02:23 EST by Bradley Remedios
Modified: 2015-01-04 17:12 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-10-02 21:20:28 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Bradley Remedios 2004-11-19 02:23:03 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.5)
Gecko/20041111 Firefox/1.0

Description of problem:
There are two problems.

On boot both snd-atiixp-modem and snd-atiixp load.  It seems that
snd-atiixp-modem conflicts with snd-attixp as it shows as being used
more (vis lsmod) than snd-atiixp.

Additionally, alsamixer complains that no sound elems are available. 
No errors are ever reported when sending audio to the driver but no
sound comes out.

By removing snd-atiixp-modem from loading automatically on boot (so
that only snd-atiixp loads) snd-atiixp complains about "codec acquire
timeout" errors in the logs.

In older kernels I would get this error but could fix it via
pci=noacpi in the grub loader.  It wouldn't work 100% of the time
(never on first boot.) but always on the second boot.  This did not
solve the problem on FC3.

So I downloaded the vanilla 2.6.9 kernel from ftp.kernel.org, built
and installed it.

Sound works, everything works on the vanilla kernel.  But I really
want to use the fedora kernel.

My System:
Toshiba A70 (with ATI IXP 150)

Version-Release number of selected component (if applicable):
kernel-2.6.9-1.678_FC3

How reproducible:
Always

Steps to Reproduce:
1. Boot Computer
2. Select 2.6.9-1.678_FC3 Uniprocessor Kernel in grub
3. Try to use sound
    

Actual Results:  No sound comes out.  If you keep snd-atiixp-modem
from being loaded you get a lot of "codec acquire timeout" errors.

Expected Results:  Those errors should not appear.

Mixer Should Work.

Sound should play.

Additional info:

Nov 18 10:32:54 bluez kernel: atiixp: codec acquire timeout
Nov 18 10:32:55 bluez last message repeated 648 times
Nov 18 10:32:55 bluez kernel: AC'97 0 does not respond - RESET
Nov 18 10:32:55 bluez kernel: atiixp: codec acquire timeout
Nov 18 10:32:55 bluez kernel: atiixp: codec acquire timeout
Nov 18 10:32:55 bluez kernel: AC'97 0 access is not valid
[0xffffffff], removing mixer.
Nov 18 10:32:55 bluez kernel: atiixp: codec acquire timeout
Nov 18 10:32:56 bluez last message repeated 651 times
Nov 18 10:32:56 bluez kernel: AC'97 1 does not respond - RESET
Comment 1 Bradley Remedios 2004-12-21 12:42:09 EST
I did some more testing.  I was able to get the Fedora Core 3 Kernel
to work better (still not 100%) by not compiling alsa from the kernel
sources but replacing it with alsa 1.0.7.

Still, first boot does not work, but it works on subsequent boots.

Additionally, unlike the vanilla 2.6.9 kernel, fc3 kernel with alsa
1.0.7 does not need pci=noacpi for it to work.
Comment 2 Dave Jones 2005-07-15 15:16:10 EDT
An update has been released for Fedora Core 3 (kernel-2.6.12-1.1372_FC3) which
may contain a fix for your problem.   Please update to this new kernel, and
report whether or not it fixes your problem.

If you have updated to Fedora Core 4 since this bug was opened, and the problem
still occurs with the latest updates for that release, please change the version
field of this bug to 'fc4'.

Thank you.
Comment 3 Dave Jones 2005-10-02 21:20:28 EDT
This bug has been automatically closed as part of a mass update.
It had been in NEEDINFO state since July 2005.
If this bug still exists in current errata kernels, please reopen this bug.

There are a large number of inactive bugs in the database, and this is the only
way to purge them.

Thank you.

Note You need to log in before you can comment on or make changes to this bug.